header {
    position: absolute;
    top: 0;
    width: 100%;
    z-index: 2;
    display: grid;
    place-content: center;
    padding: 1rem;
    background-color: var(--comparativa-bg);
}

.bg-image.page-header,
.bg-image.home-header {
    min-height: 700px;
    display: grid;
    place-content: end center;
    text-align: center;
    padding: 0 0 1.77rem;
}

.bg-image.home-header * {
    color: var(--black);
}

.bg-image.page-header {
    min-height: 550px;
}

.bg-image.home-header h1 {
    font-size: 39px;
    font-weight: 300;
    font-family: 'Lato', sans-serif;
}

.bg-image.home-header p {
    font-size: 21px;
}

.bg-image.page-header h1 {
    font-weight: 700;
    text-transform: uppercase;
    font-family: 'Lato', sans-serif;
    font-size: 30px;
    color: var(--white);
    margin: 0;
    filter: drop-shadow(0 0 1px var(--white));
}

.bg-image.home-header .content {
    font-weight: 700;
    font-family: 'Lato', sans-serif;
}

header .header-container {
    position: absolute;
    width: 100%;
    top: 0;
    height: 100%;
}

header .header-container .content-container {
    max-width: 1280px;
    margin: auto;
    display: grid;
    place-content: center end;
    grid-template-columns: auto auto;
    place-items: center;
    gap: 2rem;
    height: 100%;
}

header .header-container .content-container a.tel {
    padding: 10px 25px;
    border-radius: 3rem;
    border: solid 1px var(--grey);
    text-decoration: none;
    color: var(--gold);
    font-size: 16px;
    font-weight: 700;
    letter-spacing: 6px;
    z-index: 3;
}

header ul {
    display: none;
}

#menu-toggle {
    display: flex;
    flex-flow: column;
    gap: 5px;
    z-index: 299;
}

.menu-bar {
    width: 30px;
    height: 3px;
    background: var(--gold);
    transition: transform 0.3s ease, opacity 0.3s ease;
}

body.open #menu-toggle .menu-bar:nth-child(1) {
    transform: translateY(8px) rotate(45deg);
}

body.open #menu-toggle .menu-bar:nth-child(2) {
    opacity: 0;
}

body.open #menu-toggle .menu-bar:nth-child(3) {
    transform: translateY(-8px) rotate(-45deg);
}

html:has(body.open), body.open {
    overflow: hidden;
}

body header .main_menu > div {
    display: none;
    opacity: 0;
    transition-property: display opacity;
    transition-duration: .25s;
    transition-behavior: allow-discrete;
    translate: 0 -100%;

}

body.open header .main_menu > div {
    display: block;
    background-color: var(--comparativa-bg);
    height: 100vh;
    width: 100%;
    z-index: 2;
    position: absolute;
    top: 0;
    right: 0;
    display: grid;
    place-content: center;
    place-items: start center;
    padding-top: 0em;
    opacity: 1;
    translate: 0 0;
    opacity: .9;

    @starting-style {
        opacity: 0;
        translate: 0 -100%;
    }
}

body.open header .main_menu > div > ul {
    display: flex;
    position: absolute;
    flex-flow: column;
    gap: 2em;
    padding-top: 14em;
    text-align: center;
}

header ul a:active,
header ul a:hover,
header ul a:focus,
header ul a {
    color: var(--gold);
    font-weight: 300;
    text-transform: capitalize;
    font-size: 33px;
    filter: contrast(1.4);
}


a.logo {
    height: auto;
    display: block;
    z-index: 300;
    position: relative;
}

.servicios-page .content.text-center.header-content.after-header {
    padding: 2rem 15px 3rem;
}

.servicios-page .content.text-center.header-content.after-header strong {
    font-weight: 700;
}

.servicios-page .content.text-center.header-content.after-header ul {
    margin: 0 0 10px;
}

.servicios-page .content.text-center.header-content.after-header ul,
.servicios-page .content.text-center.header-content.after-header li,
.servicios-page .content.text-center.header-content.after-header p {
    font-weight: 300;
    font-size: 16px;
}

.servicios-page .content.text-center.header-content.after-header p:first-of-type strong {
    font-size: 20px;
}

.servicios-page .content.text-center.header-content.after-header p:last-of-type {
    font-size: 20px;
    margin: 20px 0 0;
}

@media(max-width: 780px) {
    header {
        display: grid;
        place-content: center;
        place-items: center;
        gap: 2rem;
    }

    #menu-toggle {
        position: absolute;
        top: 2rem;
        right: 1.5rem;
    }

    header .header-container .content-container {
        grid-template-columns: auto;
    }

    header .header-container {
        position: unset;
    }

    body.open header .main_menu > div {
        width: 100%;
        opacity: 1;
        translate: 0 0;
    }

    body header .main_menu > div {
        display: none;
        opacity: 0;
        transition-property: display opacity;
        transition-duration: .25s;
        transition-behavior: allow-discrete;
        translate: 0 -300px;

    }

    body.open header .main_menu > div {
        
        @starting-style {
            opacity: 0;
            translate: 0px -300px;
        }
    }

    body.open header .main_menu > div > ul {
        padding-top: 14em;
        text-align: center;
    }


}